Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class SimParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.SimParams

Direct Known Subclasses:
  BatchSimParams, RepSimParams

    public abstract class SimParams

extends Object

Represents generic parameters for experiments using simulation.

Field Summary
`protected CallTraceParams` | `callTrace`
`protected List<ControlVariableParams>` | `controlVariables`
`protected Duration` | `cpuTimeLimit`
`protected Boolean` | `enableChrono`
`protected Boolean` | `estimateContactTypeAgentGroup`
`protected Boolean` | `keepObs`
`protected Boolean` | `normalizeToDefaultUnit`
`protected RandomStreamsParams` | `randomStreams`
`protected ReportParams` | `report`
`protected Boolean` | `restrictToPrintedStat`
`protected List<SequentialSamplingParams>` | `sequentialSampling`

Constructor Summary
`SimParams()`

Method Summary
`CallTraceParams` | `getCallTrace()` Gets the value of the callTrace property.
`List<ControlVariableParams>` | `getControlVariables()` Gets the value of the controlVariables property.
`Duration` | `getCpuTimeLimit()` Gets the value of the cpuTimeLimit property.
`RandomStreamsParams` | `getRandomStreams()` Gets the value of the randomStreams property.
`ReportParams` | `getReport()` Gets the value of the report property.
`List<SequentialSamplingParams>` | `getSequentialSampling()` Gets the value of the sequentialSampling property.
`boolean` | `isEnableChrono()` Gets the value of the enableChrono property.
`boolean` | `isEstimateContactTypeAgentGroup()` Gets the value of the estimateContactTypeAgentGroup property.
`boolean` | `isKeepObs()` Gets the value of the keepObs property.
`boolean` | `isNormalizeToDefaultUnit()` Gets the value of the normalizeToDefaultUnit property.
`boolean` | `isRestrictToPrintedStat()` Gets the value of the restrictToPrintedStat property.
`boolean` | `isSetCallTrace()`
`boolean` | `isSetControlVariables()`
`boolean` | `isSetCpuTimeLimit()`
`boolean` | `isSetEnableChrono()`
`boolean` | `isSetEstimateContactTypeAgentGroup()`
`boolean` | `isSetKeepObs()`
`boolean` | `isSetNormalizeToDefaultUnit()`
`boolean` | `isSetRandomStreams()`
`boolean` | `isSetReport()`
`boolean` | `isSetRestrictToPrintedStat()`
`boolean` | `isSetSequentialSampling()`
`void` | `setCallTrace(CallTraceParams value)` Sets the value of the callTrace property.
`void` | `setCpuTimeLimit(Duration value)` Sets the value of the cpuTimeLimit property.
`void` | `setEnableChrono(boolean value)` Sets the value of the enableChrono property.
`void` | `setEstimateContactTypeAgentGroup(boolean value)` Sets the value of the estimateContactTypeAgentGroup property.
`void` | `setKeepObs(boolean value)` Sets the value of the keepObs property.
`void` | `setNormalizeToDefaultUnit(boolean value)` Sets the value of the normalizeToDefaultUnit property.
`void` | `setRandomStreams(RandomStreamsParams value)` Sets the value of the randomStreams property.
`void` | `setReport(ReportParams value)` Sets the value of the report property.
`void` | `setRestrictToPrintedStat(boolean value)` Sets the value of the restrictToPrintedStat property.
`void` | `unsetControlVariables()`
`void` | `unsetEnableChrono()`
`void` | `unsetEstimateContactTypeAgentGroup()`
`void` | `unsetKeepObs()`
`void` | `unsetNormalizeToDefaultUnit()`
`void` | `unsetRestrictToPrintedStat()`
`void` | `unsetSequentialSampling()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callTrace

    protected CallTraceParams callTrace

### report

    protected ReportParams report

### randomStreams

    protected RandomStreamsParams randomStreams

### sequentialSampling

    protected List<SequentialSamplingParams> sequentialSampling

### controlVariables

    protected List<ControlVariableParams> controlVariables

### keepObs

    protected Boolean keepObs

### normalizeToDefaultUnit

    protected Boolean normalizeToDefaultUnit

### cpuTimeLimit

    protected Duration cpuTimeLimit

### enableChrono

    protected Boolean enableChrono

### restrictToPrintedStat

    protected Boolean restrictToPrintedStat

### estimateContactTypeAgentGroup

    protected Boolean estimateContactTypeAgentGroup

Constructor Detail

### SimParams

    public SimParams()

Method Detail

### getCallTrace

    public CallTraceParams getCallTrace()

  Gets the value of the callTrace property.

  Returns:
    possible object is `CallTraceParams`

### setCallTrace

    public void setCallTrace(CallTraceParams value)

  Sets the value of the callTrace property.

  Parameters:
    `value` - allowed object is `CallTraceParams`

### isSetCallTrace

    public boolean isSetCallTrace()

### getReport

    public ReportParams getReport()

  Gets the value of the report property.

  Returns:
    possible object is `ReportParams`

### setReport

    public void setReport(ReportParams value)

  Sets the value of the report property.

  Parameters:
    `value` - allowed object is `ReportParams`

### isSetReport

    public boolean isSetReport()

### getRandomStreams

    public RandomStreamsParams getRandomStreams()

  Gets the value of the randomStreams property.

  Returns:
    possible object is `RandomStreamsParams`

### setRandomStreams

    public void setRandomStreams(RandomStreamsParams value)

  Sets the value of the randomStreams property.

  Parameters:
    `value` - allowed object is `RandomStreamsParams`

### isSetRandomStreams

    public boolean isSetRandomStreams()

### getSequentialSampling

    public List<SequentialSamplingParams> getSequentialSampling()

  Gets the value of the sequentialSampling property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sequentialSampling property.

  For example, to add a new item, do as follows:

          getSequentialSampling().add(newItem);

  Objects of the following type(s) are allowed in the list `SequentialSamplingParams`

### isSetSequentialSampling

    public boolean isSetSequentialSampling()

### unsetSequentialSampling

    public void unsetSequentialSampling()

### getControlVariables

    public List<ControlVariableParams> getControlVariables()

  Gets the value of the controlVariables property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the controlVariables property.

  For example, to add a new item, do as follows:

          getControlVariables().add(newItem);

  Objects of the following type(s) are allowed in the list `ControlVariableParams`

### isSetControlVariables

    public boolean isSetControlVariables()

### unsetControlVariables

    public void unsetControlVariables()

### isKeepObs

    public boolean isKeepObs()

  Gets the value of the keepObs property.

  Returns:
    possible object is `Boolean`

### setKeepObs

    public void setKeepObs(boolean value)

  Sets the value of the keepObs property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetKeepObs

    public boolean isSetKeepObs()

### unsetKeepObs

    public void unsetKeepObs()

### isNormalizeToDefaultUnit

    public boolean isNormalizeToDefaultUnit()

  Gets the value of the normalizeToDefaultUnit property.

  Returns:
    possible object is `Boolean`

### setNormalizeToDefaultUnit

    public void setNormalizeToDefaultUnit(boolean value)

  Sets the value of the normalizeToDefaultUnit property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetNormalizeToDefaultUnit

    public boolean isSetNormalizeToDefaultUnit()

### unsetNormalizeToDefaultUnit

    public void unsetNormalizeToDefaultUnit()

### getCpuTimeLimit

    public Duration getCpuTimeLimit()

  Gets the value of the cpuTimeLimit property.

  Returns:
    possible object is `Duration`

### setCpuTimeLimit

    public void setCpuTimeLimit(Duration value)

  Sets the value of the cpuTimeLimit property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetCpuTimeLimit

    public boolean isSetCpuTimeLimit()

### isEnableChrono

    public boolean isEnableChrono()

  Gets the value of the enableChrono property.

  Returns:
    possible object is `Boolean`

### setEnableChrono

    public void setEnableChrono(boolean value)

  Sets the value of the enableChrono property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetEnableChrono

    public boolean isSetEnableChrono()

### unsetEnableChrono

    public void unsetEnableChrono()

### isRestrictToPrintedStat

    public boolean isRestrictToPrintedStat()

  Gets the value of the restrictToPrintedStat property.

  Returns:
    possible object is `Boolean`

### setRestrictToPrintedStat

    public void setRestrictToPrintedStat(boolean value)

  Sets the value of the restrictToPrintedStat property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetRestrictToPrintedStat

    public boolean isSetRestrictToPrintedStat()

### unsetRestrictToPrintedStat

    public void unsetRestrictToPrintedStat()

### isEstimateContactTypeAgentGroup

    public boolean isEstimateContactTypeAgentGroup()

  Gets the value of the estimateContactTypeAgentGroup property.

  Returns:
    possible object is `Boolean`

### setEstimateContactTypeAgentGroup

    public void setEstimateContactTypeAgentGroup(boolean value)

  Sets the value of the estimateContactTypeAgentGroup property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetEstimateContactTypeAgentGroup

    public boolean isSetEstimateContactTypeAgentGroup()

### unsetEstimateContactTypeAgentGroup

    public void unsetEstimateContactTypeAgentGroup()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.